Bug 147011 - mc-install-default-macros: assertion `schema != NULL' failed
mc-install-default-macros: assertion `schema != NULL' failed
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: gnome-applets (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Mark McLoughlin
Mike McLean
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-02-03 13:05 EST by Kaj J. Niemi
Modified: 2007-11-30 17:10 EST (History)
0 users

See Also:
Fixed In Version: 2.9.5-2
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-02-04 11:07:38 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Kaj J. Niemi 2005-02-03 13:05:15 EST
Description of problem:
In the %postinstall phase of gnome-applets when mc-install-default-macros is
being run it bombs. Still, everything seems to work.

Version-Release number of selected component (if applicable):
2.9.5-1

How reproducible:
Always

Steps to Reproduce:
1. export GCONF_CONFIG_SOURCE=`gconftool-2 --get-default-source` 
2. /usr/libexec/gnome-applets/mc-install-default-macros
  
Actual results:

(process:4026): GConf-CRITICAL **: gconf_schema_get_type: assertion `schema !=
NULL' failed

** ERROR **: file mc-install-default-macros.c: line 84
(install_default_macros_list): assertion failed: (gconf_schema_get_type (schema)
== GCONF_VALUE_LIST)
aborting...

Expected results:
Probably shouldn't die..

Additional info:
Thanks. :)
Comment 1 Mark McLoughlin 2005-02-04 11:07:38 EST
Should be fixed in 2.9.5-2 which is on its way. See bug #146880 for more details
of the problem. Thanks

Note You need to log in before you can comment on or make changes to this bug.